﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using System.Data;
using System.Data.SqlClient;

public partial class Admin_ManageNews : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (Session["adminLI"].Equals(null))
            {
                Response.Redirect("AdminLogin.aspx");
            }
        }
        catch (Exception)
        {
            Response.Redirect("AdminLogin.aspx");
        }

        if (!IsPostBack)
        {
            BindGridData();
        }
    }

   public void BindGridData()
    {    
        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");

        SqlConnection connection =
            new SqlConnection(ConnectionStringProvider.ExtractFromXML(fi.FullName));
        connection.Open();
        DataTable dt = new DataTable();
        SqlDataAdapter adp = new SqlDataAdapter("select * from News", connection);
        adp.Fill(dt);
        connection.Close();
        NewsList.DataSource = dt.DefaultView;
        NewsList.DataBind();
    }
   protected void TerminalList_RowDeleting(object sender, GridViewDeleteEventArgs e)
   {
       string app_path = Request.PhysicalApplicationPath;
       DirectoryInfo di = new DirectoryInfo(app_path);
       FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");

       if (NewsList.SelectedRow == null)
           return;
       //Collecting Information
       GridViewRow row = NewsList.SelectedRow;
       string Title = row.Cells[1].Text;
       //Connection to Database
       SqlConnection con = new SqlConnection(ConnectionStringProvider.ExtractFromXML(fi.FullName));
       con.Open();
       SqlCommand DeleteCommand = new SqlCommand(
           "Delete from News where Title = N'" + Title + "'"
            , con);
       DeleteCommand.ExecuteNonQuery();
       BindGridData();
       con.Close();
   }
   protected void NewsList_SelectedIndexChanged(object sender, EventArgs e)
   {
       if (NewsList.SelectedIndex !=-1)
           txtdetail.Text = NewsList.SelectedRow.Cells[0].Text;
   }
   protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
   {
       Response.Redirect("adNewAdvice.aspx");
   }
   protected void ImageButton1_Click1(object sender, ImageClickEventArgs e)
   {
       if (NewsList.SelectedIndex < 0)
           return;
       GridViewRow gr = NewsList.SelectedRow;
       string title = gr.Cells[1].Text;
       string text = gr.Cells[0].Text;
       Response.Redirect("adEditAdvice.aspx?title=" + title + "&text=" + text);
   }
}
