﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;
using System.IO;
using System.Web.Mail;


public partial class Admin_ManageUsers : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (Session["adminLI"].Equals(null))
            {
                Response.Redirect("AdminLogin.aspx");
            }
        }
        catch (Exception)
        {
            Response.Redirect("AdminLogin.aspx");
        }

        if (!IsPostBack)
        {
            BindGridData();
        }
    }

    public void BindGridData()
    {
        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");

        SqlConnection connection =
            new SqlConnection(ConnectionStringProvider.ExtractFromXML(fi.FullName));
        connection.Open();
        DataTable dt = new DataTable();
        SqlDataAdapter adp = new SqlDataAdapter(@"select * from Requests , Ticket where
                             Requests.TKID = Ticket.TKID", connection);
        adp.Fill(dt);
        connection.Close();
        RequestList.DataSource = dt.DefaultView;
        RequestList.DataBind();
    }
    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        if (RequestList.SelectedIndex < 0)
            return;

        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");


         GridViewRow sr = RequestList.SelectedRow;
          MailMessage msg = new MailMessage();
            
          string AdminEmail =
            ConnectionStringProvider.ExtractAdminEmail(Session["inpath"].ToString()); 
           
           msg.From = AdminEmail;
           msg.To = sr.Cells[3].Text;
           msg.Subject = "تایید خرید بلیط";
           msg.Body = "بلیط مورد نظر برای شما رزرو شد.";
           SmtpMail.Send(msg);           

                      
           //Connection to Database
           SqlConnection con = new SqlConnection(ConnectionStringProvider.ExtractFromXML(fi.FullName));
           con.Open();
           SqlCommand DeleteCommand = new SqlCommand(
               "Delete from requests where email = '" + sr.Cells[3].Text + "'"
                , con);
           DeleteCommand.ExecuteNonQuery();
           RequestList.DataBind();
           con.Close();

    }
    protected void ImageButton2_Click(object sender, ImageClickEventArgs e)
    {
        if (RequestList.SelectedIndex < 0)
            return;
        GridViewRow sr = RequestList.SelectedRow;
        MailMessage msg = new MailMessage();
        msg.To = sr.Cells[3].Text;
        msg.Subject = "عدم تایید خرید بلیط";
        msg.Body = " بلیط مورد نظر  رزرو نشد فیش واریزی دارای اشکال می باشد.";
        SmtpMail.Send(msg);


        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");

        //Connection to Database
        SqlConnection con = new SqlConnection(ConnectionStringProvider.ExtractFromXML(fi.FullName));
        con.Open();
        SqlCommand DeleteCommand = new SqlCommand(
            "Delete from requests where email = '" + sr.Cells[3].Text + "'"
             , con);
        DeleteCommand.ExecuteNonQuery();
        RequestList.DataBind();
        con.Close();
    }
    protected void ImageButton3_Click(object sender, ImageClickEventArgs e)
    {
        if (RequestList.SelectedIndex < 0)
            return;
        Response.Redirect(((Image) RequestList.SelectedRow.Cells[4].Controls[0]).ImageUrl);
    }
}
