﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_adEditTicket : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (Session["adminLI"].Equals(null))
            {
                Response.Redirect("AdminLogin.aspx");
            }
        }
        catch (Exception)
        {
            Response.Redirect("AdminLogin.aspx");
        }


        if (!IsPostBack)
        {
            Init();
            dpSource.SelectedIndex = dpSource.Items.IndexOf(dpSource.Items.FindByText(Request.QueryString["src"]));
            dpDest.SelectedIndex = dpDest.Items.IndexOf(dpDest.Items.FindByText(Request.QueryString["dst"]));
            txtPrice.Text = Request.QueryString["price"];
            txtyear.Text = Request.QueryString["year"];
            dpMonth.SelectedIndex =Convert.ToInt32(Request.QueryString["month"])-1;
            txtDay.Text = Request.QueryString["day"];
            txtH.Text = Request.QueryString["h"];
            txtM.Text = Request.QueryString["m"];            
            Session["TKID"] = dpSource.SelectedValue + "_" + dpDest.SelectedValue;
        }
    }
    protected void btnCancel_Click(object sender, ImageClickEventArgs e)
    {

    }
    protected void btnRec_Click(object sender, ImageClickEventArgs e)
    {
        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");

        SqlConnection connection =
            new SqlConnection(ConnectionStringProvider.ExtractFromXML(fi.FullName));
        connection.Open();

        string Source = dpSource.SelectedItem.Text;
        string Dest = dpDest.SelectedItem.Text;
        string Price = txtPrice.Text;
        string TKID = dpSource.SelectedValue + "_" + dpDest.SelectedValue;
        string LDate = new DateTime(int.Parse(txtyear.Text),
            int.Parse(dpMonth.SelectedValue), int.Parse(txtDay.Text)).ToShortDateString();
        string STime = txtH.Text;
        string SID = dpSource.SelectedValue;
        string DID = dpDest.SelectedValue;
        if (txtM.Text.Length >0)
            txtH.Text += ":" + txtM.Text;
        string cmdtext = @"UPDATE Ticket 
            SET [Source] = '" + Source + "'" + 
            ",[Dest] = '" + Dest + "'" +
            ",[Price] = '" + Price + "'" +
            ",[Ldate] = '" + LDate + "'" +
            ",[TKID] = '" + TKID + "'" +
            ",[lTime]= '" + STime + "'" +
            ",[SID]= '" + SID + "'" +
            ",[DID]= '" + DID + "'" +
            "WHERE TKID = '" + Session["TKID"] + "'";
            
        SqlCommand cmdEdit = new SqlCommand(cmdtext, connection);
        cmdEdit.ExecuteNonQuery();
        connection.Close();
        Response.Redirect("ManageTicket.aspx");
    }

    private new void Init()
    {
        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");

        SqlDataSource ds = new SqlDataSource(ConnectionStringProvider.ExtractFromXML(fi.FullName)
        , "select TID , TerminalName +' در '+ Country + '-' + City as terminal from Terminal");
        dpSource.DataSource = ds;
        dpSource.DataTextField = "terminal";
        dpSource.DataValueField = "TID";
        dpDest.DataSource = ds;
        dpDest.DataTextField = "terminal";
        dpDest.DataValueField = "TID";
        dpDest.DataBind();
        dpSource.DataBind();
    }
}
