﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;
using System.IO;

public partial class Admin_ManageTerminal : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (Session["adminLI"].Equals(null))
            {
                Response.Redirect("AdminLogin.aspx");
            }
        }
        catch (Exception)
        {
            Response.Redirect("AdminLogin.aspx");
        }

        if (!IsPostBack)
        {        
            BindGridData();
           
        }
    }
    protected void TerminalList_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "Edit")
        {
           
        }

    }
    protected void TerminalList_RowEditing(object sender, GridViewEditEventArgs e)
    {

        TerminalList.EditIndex = e.NewEditIndex;
        BindGridData();
    }
    protected void TerminalList_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");
        
        if (TerminalList.SelectedRow == null)
            return;
          //Collecting Information
        GridViewRow row = TerminalList.SelectedRow;        
        string TID = row.Cells[0].Text;
         //Connection to Database
        SqlConnection con = new SqlConnection(ConnectionStringProvider.ExtractFromXML(fi.FullName));
        con.Open();
        SqlCommand DeleteCommand = new SqlCommand(
            "Delete from terminal where TID = N'" + TID + "'"            
             ,con);
        DeleteCommand.ExecuteNonQuery();
        TerminalList.DataBind();
        con.Close();
    }

    public void BindGridData()
    {
        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");

        SqlConnection connection =
            new SqlConnection(ConnectionStringProvider.ExtractFromXML(fi.FullName));
        connection.Open();
        DataTable dt = new DataTable();
        SqlDataAdapter adp = new SqlDataAdapter("select * from terminal", connection);
        adp.Fill(dt);
        connection.Close();
        TerminalList.DataSource = dt.DefaultView;
        TerminalList.DataBind();
    }
    protected void TerminalList_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
       
    }

    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        Response.Redirect("adNewTerminal.aspx");
    }
    protected void ImageButton1_Click1(object sender, ImageClickEventArgs e)
    {        
        if (TerminalList.SelectedIndex < 0 )
            return;
        GridViewRow r = TerminalList.SelectedRow;
        string TID = r.Cells[2].Text;
        string TerminalName = r.Cells[3].Text;
        string Country = r.Cells[4].Text;
        string City = r.Cells[5].Text;
        string Desc = r.Cells[6].Text;                
        Response.Redirect("adEditTerminal.aspx?Tname=" + TerminalName
                          + "&Cnt=" + Country + "&city=" + City
                          + "&desc=" + Desc + "&TID=" + TID);
    }
}
