﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_adEditTerminal : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (Session["adminLI"].Equals(null))
            {
                Response.Redirect("AdminLogin.aspx");
            }
        }
        catch (Exception)
        {
            Response.Redirect("AdminLogin.aspx");
        }


        if (!IsPostBack)
        {            
            txtTname.Text = Request.QueryString["Tname"];
            txtCountry.Text = Request.QueryString["cnt"];
            txtCity.Text = Request.QueryString["city"];
            txtDesc.Text = Request.QueryString["desc"];
        }
    }
    protected void btnCancel_Click(object sender, ImageClickEventArgs e)
    {
        Response.Redirect("adManageTerminal.aspx");
    }
    protected void btnRec_Click(object sender, ImageClickEventArgs e)
    {
        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");

        SqlConnection connection =
            new SqlConnection(ConnectionStringProvider.ExtractFromXML(fi.FullName));
        connection.Open();

        string UpdateString = @"UPDATE Terminal
      SET 
       [TerminalName] = '" + txtTname.Text + "'" +
       ",[Description] = '" + txtDesc.Text + "'" +
       ",[City] =  '" + txtCity.Text + "'" +
       ",[Country] = '" + txtCountry.Text + "'" +
       "WHERE TID = '" + Request.QueryString["TID"] + "'";
        SqlCommand UpdateCommand = new SqlCommand(UpdateString , connection);
        string srcSyncString = @"UPDATE Ticket 
            SET [Source] = '" + txtTname.Text + "در " + txtCountry.Text+ "-" + txtCity.Text + "'" +            
            "WHERE Ticket.SID = '" + Request.QueryString["TID"] + "'";
        string dstSyncString = @"UPDATE Ticket 
            SET [Dest] = '" + txtTname.Text + "در " + txtCountry.Text + "-" + txtCity.Text + "'" +
            "WHERE Ticket.DID = '" + Request.QueryString["TID"] + "'";
        SqlCommand srcSyncCommand = new SqlCommand(srcSyncString,connection);
        SqlCommand dstSyncCommand = new SqlCommand(dstSyncString, connection);
        UpdateCommand.ExecuteNonQuery();
        srcSyncCommand.ExecuteNonQuery();
        dstSyncCommand.ExecuteNonQuery();
        connection.Close();
        Response.Redirect("ManageTerminal.aspx");
    }
}
