﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using System.Data.SqlClient;

public partial class Admin_adNewTerminal : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (Session["adminLI"].Equals(null))
            {
                Response.Redirect("AdminLogin.aspx");
            }
        }
        catch (Exception)
        {
            Response.Redirect("AdminLogin.aspx");
        }

        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");
        Session["inpath"] = fi.FullName;
    }
    protected void btnRec_Click(object sender, ImageClickEventArgs e)
    {
        if ((bool)Session["Tid_s"] == false)
            return;
        SqlConnection connection =
            new SqlConnection(ConnectionStringProvider.ExtractFromXML(Session["inpath"].ToString()));
        connection.Open();
        SqlCommand cmdInsert = new SqlCommand();
        cmdInsert.Connection = connection;
        string TID = txtTID.Text;
        string Tname = txtTname.Text;
        string TCity = txtCity.Text;
        string TCountry = txtCountry.Text;
        string Tdesc = txtDesc.Text;
        string cmdtext = @"INSERT INTO Terminal
           ([TID]
           ,[TerminalName]
           ,[Description]
           ,[City]
           ,[Country])

            VALUES('" + TID + "','"
                      + Tname + "','"
                      + Tdesc + "','"
                      + TCity + "','"
                      + TCountry + "')";
        cmdInsert.CommandText = cmdtext;
        cmdInsert.ExecuteNonQuery();
        connection.Close();
        Response.Redirect("ManageTerminal.aspx");
    }
    protected void txtTID_TextChanged(object sender, EventArgs e)
    {
        SqlConnection con = new SqlConnection(ConnectionStringProvider.ExtractFromXML(
                                        Session["inpath"].ToString()));
        con.Open();
        SqlCommand chCommand = new SqlCommand(@"select count(*) from Terminal where TID = N'" + txtTID.Text + "'"
                                    ,con);
        if ((int) chCommand.ExecuteScalar() > 0)
        {
            imgTid.ImageUrl = "~/Admin/MenuImages/att.png";
            imgTid.DataBind();
            Session["Tid_s"] = false;
        }
        else
        {
            imgTid.ImageUrl = "~/Admin/MenuImages/Rec.png";
            imgTid.DataBind();
            Session["Tid_s"] = true;
        }
        con.Close();
    }
    protected void btnCancel_Click(object sender, ImageClickEventArgs e)
    {
        Response.Redirect("~\\admin\\ManageTerminal.aspx");
    }
}
