﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.IO;

public partial class Main : System.Web.UI.MasterPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindNews();
        }        
    }

    
    private void BindNews()
    {
        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");

        SqlDataSource ds = new SqlDataSource(ConnectionStringProvider.ExtractFromXML(fi.FullName)
        , "select * from News");
        News.DataSource = ds;
        News.DataTextField = "title";
        News.DataValueField = "text";
        News.DataBind();
    }
    protected void News_Click(object sender, BulletedListEventArgs e)
    {       
        
        //Response.Redirect("Default.aspx");
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            if (!Session["user"].Equals(null))
            {
                lblErr.Text = "شما قبلا با  نام  " + Session["user"] + " وارد شده اید";
                return;
            }
        }
        catch (Exception) { }
        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");

        SqlConnection connection =
           new SqlConnection(ConnectionStringProvider.ExtractFromXML(fi.FullName));
        connection.Open();
        SqlCommand selCommand = new SqlCommand(@"select COUNT(*) from Users where
                            uname = '" + txtuname.Text + "'",
            connection);
        int count = (int) selCommand.ExecuteScalar();
        if (count == 0)
        {
            lblErr.Text = "نام کاربری ثبت نشده!";
            return;
        }
        
         SqlCommand cmpCommand = new SqlCommand(@"select pass from Users where
                            uname = '" + txtuname.Text + "'",
                                       connection);
        string pass = cmpCommand.ExecuteScalar().ToString();
        if (pass != txtpass.Text)
        {
            lblErr.Text = "کلمه عبور صحیح نمی باشد.";
            return;
        }
        lblErr.Text = "";
        Session["user"] = txtuname.Text;
        userdiv.Visible = true;
        lblUser.Text = txtuname.Text;
        connection.Close();
    }
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        Session.Remove("user");
    }
}
