﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.IO;

public partial class TicketRequest : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string msg = "شما وارد سایت نشده اید برای استفاده از این امکان باید ثبت نام کنید.";
        try
        {
            if (Session["user"].Equals(null))
            {
                Response.Redirect("Default.aspx?msg=" + msg);
            }
        }
        catch (Exception)
        {
            Response.Redirect("Default.aspx?msg=" + msg);
        }

        if (!IsPostBack)
        {
            BindData();           
        }        
    }

    private void BindData()
    {
        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");

        SqlConnection connection =
            new SqlConnection(ConnectionStringProvider.ExtractFromXML(fi.FullName));
        connection.Open();
        DataTable dt = new DataTable();
        SqlDataAdapter adp = new SqlDataAdapter(
                @"select * from ticket", connection);

        adp.Fill(dt);
        connection.Close();
        TicketList.DataSource = dt.DefaultView;
        TicketList.DataBind();
    }
    protected void TicketList_SelectedIndexChanged(object sender, EventArgs e)
    {
        
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        GridViewRow sr = TicketList.SelectedRow;            
        string TKID = sr.Cells[6].Text + "_" +sr.Cells[7].Text;
        Response.Redirect("BuyTicket.aspx?TKID=" + TKID);      
    }
}
