﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.IO;
using System.Drawing;

public partial class UserRegistration : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {        

        if (!IsPostBack)
        {
            RefreshCaptcha();
        }

        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");
        Session["inpath"] = fi.FullName;
    }
    protected void txtuname_TextChanged(object sender, EventArgs e)
    {
        SqlConnection con = new SqlConnection(ConnectionStringProvider.ExtractFromXML(
                                       Session["inpath"].ToString()));
        con.Open();
        SqlCommand chCommand = new SqlCommand(@"select count(*) from Users where uname = N'" + txtuname.Text + "'"
                                    , con);
        if ((int)chCommand.ExecuteScalar() > 0)
        {
            imgstat.ImageUrl = "~/Admin/MenuImages/att.png";
            imgstat.DataBind();
            Session["uid"] = false;
        }
        else
        {
            imgstat.ImageUrl = "~/Admin/MenuImages/Rec.png";
            imgstat.DataBind();
            Session["uid"] = true;
        }
        con.Close();
    }
    protected void cpRefresh_Click(object sender, ImageClickEventArgs e)
    {
        RefreshCaptcha();
        captcha.DataBind();
    }

    private void RefreshCaptcha()
    {
        Random rnd = new Random();
        char ch1 = (char)rnd.Next(65, 90);
        char ch2 = (char)rnd.Next(65, 90);
        char ch3 = (char)rnd.Next(65, 90);
        char ch4 = (char)rnd.Next(65, 90);
        int rH = 0;
        string cpString = ch1.ToString() + ch2.ToString() + ch3.ToString() + ch4.ToString();
        Session["CP"] = cpString;
        Random ColorNumber = new Random();
        System.Drawing.Drawing2D.Matrix tm = new System.Drawing.Drawing2D.Matrix();
        System.Drawing.Image myImage = new System.Drawing.Bitmap(100, 100);
        System.Drawing.Graphics gr = System.Drawing.Graphics.FromImage(myImage);
        gr.Clear(Color.White);
        //-------------Draw Grid ------------------
        for (int i = 10; i < 100; i += 10)
        {
            Pen p = new Pen(Color.FromArgb(80, 255, 0, 0));
            gr.DrawLine(p, new Point(i, 0), new Point(i, 100));
        }
        for (int j = 10; j < 100; j += 10)
        {
            Pen p = new Pen(Color.FromArgb(80, 255, 0, 0));
            gr.DrawLine(p, new Point(0, j), new Point(100, j));
        }
        //-----------------------------------------
        System.Drawing.SolidBrush brush;
        ///////////ch1
        rH = new Random().Next(30, 70);
        tm.RotateAt(new Random().Next(-20, 20), new PointF(13, rH + 10));
        gr.Transform = tm;
        brush = new SolidBrush(Color.FromArgb(255, ColorNumber.Next(0, 255)
                                , ColorNumber.Next(0, 255), ColorNumber.Next(0, 255)));
        gr.DrawString(ch1.ToString(),
            new Font("Arial", 20, GraphicsUnit.Pixel),
            brush, new PointF(3f, rH));
        ///////////ch2
        rH = new Random().Next(30, 70);
        tm.RotateAt(new Random().Next(-20, 20), new PointF(39, rH + 10));
        gr.Transform = tm;
        brush = new SolidBrush(Color.FromArgb(255, ColorNumber.Next(0, 255)
                               , ColorNumber.Next(0, 255), ColorNumber.Next(0, 255)));
        gr.DrawString(ch2.ToString(),
            new Font("Arial", 20, GraphicsUnit.Pixel),
            brush, new PointF(29f, rH));
        ///////////ch3
        rH = new Random().Next(30, 70);
        tm.RotateAt(new Random().Next(-20, 20), new PointF(65, rH + 10));
        gr.Transform = tm;
        brush = new SolidBrush(Color.FromArgb(255, ColorNumber.Next(0, 255)
                               , ColorNumber.Next(0, 255), ColorNumber.Next(0, 255)));
        gr.DrawString(ch3.ToString(),
            new Font("Arial", 20, GraphicsUnit.Pixel),
            brush, new PointF(55f, rH));
        ///////////ch4
        rH = new Random().Next(30, 70);
        tm.RotateAt(new Random().Next(-20, 20), new PointF(88, rH + 10));
        gr.Transform = tm;
        brush = new SolidBrush(Color.FromArgb(255, ColorNumber.Next(0, 255)
                               , ColorNumber.Next(0, 255), ColorNumber.Next(0, 255)));
        gr.DrawString(ch4.ToString(),
            new Font("Arial", 20, GraphicsUnit.Pixel),
            brush, new PointF(78f, rH));


        //// Save Image
        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);
        FileInfo fi = new FileInfo(app_path + @"\captcha.jpg");
        myImage.Save(fi.FullName, System.Drawing.Imaging.ImageFormat.Jpeg);
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        string app_path = Request.PhysicalApplicationPath;
        DirectoryInfo di = new DirectoryInfo(app_path);        

        if (!txtCaptcha.Text.Equals(Session["CP"]))
        {
            lblErr.Text = "حروف تصویر امنیتی رادوباره وارد کنید.";
            return;
        }
        
        if (!((bool) Session["uid"]))
        {
            lblErr.Text = "نام کاربری قبلا ثبت شده لطفا نام دیگری را انتخاب کنید.";
            return;
        }

        lblErr.Text = "";

        FileInfo fi = new FileInfo(app_path + @"\InstallInfo.xml");

        SqlConnection connection =
            new SqlConnection(ConnectionStringProvider.ExtractFromXML(fi.FullName));
        connection.Open();

        string name = txtname.Text;
        string family = txtfamily.Text;
        string email = txtemail.Text;
        string uname = txtuname.Text;
        string pass = txtpass.Text;

        string cmdtext = @"INSERT INTO Users
           ([name]
           ,[family]
           ,[Email]
           ,[uname]
           ,[pass])
            VALUES('" + name + "','"
                      + family + "','"
                      + email + "','"
                      + uname + "','"
                      + pass + "')";
        SqlCommand cmdInsert = new SqlCommand(cmdtext, connection);
        cmdInsert.ExecuteNonQuery();
        connection.Close();
        Response.Redirect("Default.aspx");
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("Default.aspx");
    }
}
